# MatPartitioningScotchSetStrategy

Set the strategy to be used by Scotch. This is an alternative way of specifying the global method, the local method, the coarse level and the multilevel option.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningScotchSetStrategy(MatPartitioning part, char *strat)

### Input Parameter

part -the partitioning context
level -the strategy in Scotch format. Check Scotch documentation.

### See Also

MatPartitioningScotchSetGlobal(), MatPartitioningScotchSetLocal(), MatPartitioningScotchSetCoarseLevel(), MatPartitioningScotchSetMultilevel(),

Level:advanced
Location: src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages